#
# Conditional build:
%bcond_without	java	# Java/JNI support
#
Summary:	Cartographic projection software
Summary(pl.UTF-8):	Oprogramowanie do rzutów kartograficznych
Name:		proj
Version:	4.9.1
Release:	1
Group:		Libraries
License:	MIT
Source0:	ftp://ftp.remotesensing.org/proj/%{name}-%{version}.tar.gz
# Source0-md5:	3cbb2a964fd19a496f5f4265a717d31c
Source1:	ftp://ftp.remotesensing.org/proj/%{name}-pdf-docs.tar.gz
# Source1-md5:	7c8f48f0fddf0d5730f4b27b3f09e6c1
Patch0:		%{name}-am.patch
URL:		http://www.remotesensing.org/proj/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
%{?with_java:BuildRequires:	jdk}
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Cartographic projection software.

%description -l pl.UTF-8
Oprogramowanie do rzutów kartograficznych.

%package devel
Summary:	proj header files
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki proj
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains proj header files.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe niezbędne do tworzenia aplikacji
korzystających z biblioteki proj.

%package static
Summary:	proj static libraries
Summary(pl.UTF-8):	Biblioteki statyczne libPropList
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This package contains static proj libraries.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczne biblioteki proj.

%package progs
Summary:	Cartographic projection software
Summary(pl.UTF-8):	Oprogramowanie do rzutów kartograficznych
Group:		Applications
Requires:	%{name} = %{version}-%{release}

%description progs
Package contains cartographic projection and coordinate system
filters.

%description progs -l pl.UTF-8
Ten pakiet zawiera filtry do rzutów kartograficznych i układów
współrzędnych.

%package doc
Summary:	Manuals for cartographic projection software
Summary(pl.UTF-8):	Dokumentacja do oprogramowania proj
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
Manuals for cartographic projection software.

%description doc -l pl.UTF-8
Dokumentacja do oprogramowania do rzutów kartograficznych proj.

%prep
%setup -q -a1
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_java:--without-jni}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libproj.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libproj.so.9
%dir %{_datadir}/proj
%{_datadir}/proj/CH
%{_datadir}/proj/GL27
%{_datadir}/proj/IGNF
%{_datadir}/proj/nad27
%{_datadir}/proj/nad83
%{_datadir}/proj/nad.lst
%{_datadir}/proj/world
%{_datadir}/proj/epsg
%{_datadir}/proj/esri
%{_datadir}/proj/esri.extra
%{_datadir}/proj/other.extra

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libproj.so
%{_libdir}/libproj.la
%{_includedir}/geodesic.h
%{_includedir}/org_proj4_PJ.h
%{_includedir}/org_proj4_Projections.h
%{_includedir}/proj_api.h
%{_includedir}/projects.h
%{_pkgconfigdir}/proj.pc
%{_mandir}/man3/geodesic.3*
%{_mandir}/man3/pj_init.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libproj.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cs2cs
%attr(755,root,root) %{_bindir}/geod
%attr(755,root,root) %{_bindir}/invgeod
%attr(755,root,root) %{_bindir}/invproj
%attr(755,root,root) %{_bindir}/nad2bin
%attr(755,root,root) %{_bindir}/proj
%{_mandir}/man1/cs2cs.1*
%{_mandir}/man1/geod.1*
%{_mandir}/man1/proj.1*

%files doc
%defattr(644,root,root,755)
%doc *.pdf
%changelog
* Wed Jul 08 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/proj.git;a=log;h=master

* Wed May 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 992971c
- updated to 4.9.1 (note: new soname)
- removed obsolete missing patch

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 61d06a8
- x32 rebuild
- release 3 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> 13c3866
- rebuild to fix broken filedigests
- release 2 (by relup.sh)

* Sat Sep 29 2012 Jakub Bogusz <qboosh@pld-linux.org> dd50c3a
- added am patch (fixes build with automake 1.12 or so)

* Thu Mar 15 2012 Jakub Bogusz <qboosh@pld-linux.org> e798650
- updated to 4.8.0
- added missing patch (with missing org_proj4_PJ.h file taken from git)

* Wed Jul 07 2010 Jacek Konieczny <jajcus@pld-linux.org> 8f7ac38
- make the install directory, so inv* links are properly installed

* Fri Jun 18 2010 Jakub Bogusz <qboosh@pld-linux.org> 0d136fd
- updated to 4.7.0
- more verbose files

* Wed May 20 2009 Jacek Konieczny <jajcus@pld-linux.org> 1e6bff2
- Release: 2

* Wed Sep 03 2008 Paweł Sikora <pluto@pld-linux.org> d809c57
- updated to 4.6.1.

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 5b6db24
- release 2

* Fri May 16 2008 Jakub Bogusz <qboosh@pld-linux.org> d970ab1
- ghost soname symlink

* Thu May 15 2008 radek <radek@pld-linux.org> 935176f
- version 4.6.0

* Fri Jul 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 8b7119a
- back to ftp.remotesensing.org, it works again and ftp.gdal.org does not

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d26f67e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3af59de
- converted to UTF-8

* Mon Dec 11 2006 Jakub Bogusz <qboosh@pld-linux.org> ca36b8c
- simplified Source URLs

* Mon Dec 11 2006 Jakub Bogusz <qboosh@pld-linux.org> 034139f
- updated to 4.5.0, updated docs

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 50ae8e1
- spaces->tabs
- formatting

* Sun Oct 31 2004 Jakub Bogusz <qboosh@pld-linux.org> e41b9ef
- updated to 4.4.9, package docs in original format

* Wed May 05 2004 Jakub Bogusz <qboosh@pld-linux.org> 5568aaa
- updated to 4.4.8, strict internal deps

